tw.com.prolific.pl2303ghidsdk

## Enum UartSetting.FlowControl

- java.lang.Object
- - java.lang.Enum<UartSetting.FlowControl>
  - - tw.com.prolific.pl2303ghidsdk.UartSetting.FlowControl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UartSetting.FlowControl>
  Enclosing class:
    UartSetting

      public static enum UartSetting.FlowControl
      extends java.lang.Enum<UartSetting.FlowControl>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLE`
    `DTR_DSR`
    `RTS_CTS`
    `RTSCTS_DTRDSR`
    `SW_XONXOFF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static UartSetting.FlowControl` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UartSetting.FlowControl[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SW_XONXOFF

          public static final UartSetting.FlowControl SW_XONXOFF

    - #### RTSCTS_DTRDSR

          public static final UartSetting.FlowControl RTSCTS_DTRDSR

    - #### DISABLE

          public static final UartSetting.FlowControl DISABLE

    - #### DTR_DSR

          public static final UartSetting.FlowControl DTR_DSR

    - #### RTS_CTS

          public static final UartSetting.FlowControl RTS_CTS

  - ### Method Detail

    - #### values

          public static UartSetting.FlowControl[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UartSetting.FlowControl c : UartSetting.FlowControl.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UartSetting.FlowControl valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()